#ifndef BSP_FLASH_H_
#define BSP_FLASH_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "drv_flash.h"
#include "kit_macro.h"

bool bsp_flash_check_write_u32(flash_Item_t *item, uint32_t addr,uint32_t value);
bool bsp_drv_flash_write_u32_check(flash_Item_t *item, uint32_t *addr, uint32_t value);

kit_ret_e bsp_flash_erase_page(flash_Item_t *item, uint32_t addr, uint32_t len);
kit_ret_e bsp_flash_write_data_u32(flash_Item_t *item, uint32_t addr, uint8_t* buf, uint32_t len);

#ifdef __cplusplus
}
#endif

#endif
